package com.happy.service.impl;

import com.happy.dao.IDCDao;
import com.happy.dto.*;
import com.happy.service.IDCService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("IDCService")
public class IDCImplService implements IDCService {

    @Resource
    private IDCDao idcDao;

    @Override
    public List<IDCBookStatusEto> getBookStatusData() {
        return idcDao.getBookStatusData();
    }

    @Override
    public List<IDCHotelEto> getHotelData() {
        return idcDao.getHotelData();
    }

    @Override
    public List<IDCRankEto> getRankBookNumData(String sqlx) {
        return idcDao.getRankBookNumData(sqlx);
    }

    @Override
    public List<IDCSaleEto> getRankSalesAmountData(String sqlx) {
        return idcDao.getRankSalesAmountData(sqlx);
    }

    @Override
    public IDCSum getSumData() {
        return idcDao.getSumData();
    }
}
